Main Page Modules Data Structures File List Data Fields Globals Related Pages

# LEAD.

## Files
file | rpmlead.c
file | rpmlead.h
| Routines to read and write an rpm lead structure for a a package.

file | rpmlib.h
## Functions
rpmRC | writeLead (FD_t fd, const struct rpmlead *lead)
rpmRC | readLead (FD_t fd, struct rpmlead *lead)

## Function Documentation

rpmRC readLead | ( | FD_t | fd,
|  | struct rpmlead * | lead
| ) |

  | Read lead from file handle. Parameters:
  fd | file handle
  Return values:
  lead | data address
Returns: 0 on success Definition at line 48 of file rpmlead.c. Referenced by main, rpmReadPackageFile, rpmReSign, and rpmVerifySignatures.

rpmRC writeLead | ( | FD_t | fd,
|  | const struct rpmlead * | lead
| ) |

  | Write lead to file handle. Parameters:
  fd | file handle
  lead | data address
Returns: 0 on success Definition at line 26 of file rpmlead.c. Referenced by main, rpmReSign, and writeRPM.